find_package(Boost REQUIRED COMPONENTS unit_test_framework)

# --detect_memory_leak=0 --run_test=MarkdownParserTest,ProcessUtilityTest
set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

add_executable(UnitTest main.cpp
    LinuxDeviceEnums.cpp
)

target_compile_definitions(UnitTest
    PUBLIC LOG_FILTER_LEVEL=2
)

target_link_libraries(UnitTest
    PRIVATE DataStructure
    PRIVATE Peripheral
    PRIVATE Universal
)
